#include<stdio.h>
int main()
{
	//tarife pointer
	int *Number1, *Number2, *Number3;
	double *Result;
	//gereftane fazaye hafeze baraye pointer ha
	Number1 = (int*)malloc(sizeof(int));
	Number2 = (int*)malloc(sizeof(int));
	Number3 = (int*)malloc(sizeof(int));
	Result = (double*)malloc(sizeof(double));
	
	//pardazesh barname
	printf("\nEnter 3 numbers  :");
	scanf("%d %d %d", Number1, Number2, Number3);
	*Result = (*Number1 + *Number2 + *Number3) / 3.0;
	printf("\nMiyangin = %.2f", *Result);
	
	//azad sazi fazaye hafeze baraye pointer ha
	free(Number1);
	free(Number2);
	free(Number3);
	free(Result);
	
	getch();
}

